// TopicSetRefTest.java - unit tests for org.newsml.toolkit.dom.TopicSetRef.

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.w3c.dom.NodeList;

import org.newsml.toolkit.TopicSetRef;


public class TopicSetRefTest extends TestCase
{

    public TopicSetRefTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = (TopicSetRef)(SampleFactory.createNewsML()
			       .getChild("TopicSet", 1)
			       .getChild("TopicSetRef", 1));
    }

    public void testComment ()
    {
	assertEquals(sample.getComment(0).toString(), "Comment");
    }

    public void testRef ()
    {
	assertEquals(sample.getRef().toString(),
		     "http://foo.com/topicset.b");
    }

    private TopicSetRef sample;

}

// end of TopicSetRefTest.java
