// NormalizeNewsML.java - demo to normalize a NewsML document.

import java.io.OutputStreamWriter;

import org.newsml.toolkit.NewsML;
import org.newsml.toolkit.NewsMLFactory;

import org.newsml.toolkit.dom.DOMNewsMLFactory;
import org.newsml.toolkit.dom.XercesDOMFactory;


/**
 * Demo application to normalize a NewsML document.
 */
public class NormalizeNewsML
{

    public static void main (String args[])
	throws Exception
    {
	NewsMLFactory factory = new DOMNewsMLFactory(new XercesDOMFactory());
	
	for (int i = 0; i < args.length; i++) {
	    NewsML newsml = factory.createNewsML(args[0]);
	    OutputStreamWriter output = new OutputStreamWriter(System.out);
	    newsml.writeXML(output, true);
	    output.close();
	}
    }

}

// end of NormalizeDemo.java
