// AssignedOriginText.java - text with assignment information and Origin subelements.
// Copyright (c) 2001 by Reuters PLC
// $Id: AssignedOriginText.java,v 1.7 2001/11/26 16:33:37 dmegginson Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit;


/**
 * Text with assignment information and Origin subelements.
 *
 * <p>All of the relevant methods are declared in the interfaces that
 * this interface extends.</p>
 *
 * @author Reuters PLC
 * @version 1.1beta
 */
public interface AssignedOriginText extends AssignmentNode, OriginText
{
    // no additional methods
}

// end of AssignedOriginText.java
