// FormalNameDeclTest.java - unit tests for org.newsml.toolkit.dom.FormalNameDecl.

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.w3c.dom.NodeList;

import org.newsml.toolkit.FormalNameDecl;


public class FormalNameDeclTest extends TestCase
{

    public FormalNameDeclTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = (FormalNameDecl)(SampleFactory.createNewsML()
				  .getChild("TopicSet", 1)
				  .getChild("Topic", 1)
				  .getChild("FormalName", 1));
    }

    public void testName ()
    {
	assertEquals(sample.toString(), "sample");
    }

    public void testScheme ()
    {
	assertEquals(sample.getScheme().toString(), "scheme.a");
    }

    private FormalNameDecl sample;

}

// end of FormalNameDeclTest.java
