// SourceListTest.java - unit tests for SourceList

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.SourceList;

public class SourceListTest extends TestCase
{

    public SourceListTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getAdministrativeMetadata().getSource(1);
    }

    public void testNewsItem ()
    {
	assertEquals(sample.getNewsItemURN().toString(), "newsitem.a");
    }

    SourceList sample;

}

// end of SourceListTest.java
