// UpdateTest.java - unit tests for Update

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Update;

public class UpdateTest extends TestCase
{

    public UpdateTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(2).getUpdate(1);
    }

    public void testDelta ()
    {
	assertEquals(sample.getDeltaCount(), 4);
	assertNotNull(sample.getDelta(0));
	assertNotNull(sample.getDelta(1));
	assertNotNull(sample.getDelta(2));
	assertNotNull(sample.getDelta(3));
	assertNull(sample.getDelta(4));
    }

    private Update sample;

}

// end of UpdateTest.java
